Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451010 - /usr/share/system-config-lvm/pixmaps/lv_icon.png changed permissions from 0644 to 0640
Summary: /usr/share/system-config-lvm/pixmaps/lv_icon.png changed permissions from 064...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm
Version: 4.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Brian Brock
URL: http://errata.devel.redhat.com/rpmdif...
Whiteboard:
Depends On:
Blocks: 516390
TreeView+ depends on / blocked
 
Reported: 2008-06-12 11:39 UTC by Michal Nowak
Modified: 2016-04-26 14:06 UTC (History)
8 users (show)

Fixed In Version: system-config-lvm-1.1.4-3.el4
Doc Type: Bug Fix
Doc Text:
Previously, pv_icon.png changed permissions so that the icon was not available for users. With this update, the icon is readable.
Clone Of:
: 516390 (view as bug list)
Environment:
Last Closed: 2011-02-16 14:27:11 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2009-08-09 10:45 UTC, Marek Grac
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0246 normal SHIPPED_LIVE system-config-lvm bug fix update 2011-02-15 16:34:49 UTC

Description Michal Nowak 2008-06-12 11:39:10 UTC
Description of problem:

/usr/share/system-config-lvm/pixmaps/lv_icon.png changed permissions from 0644
to 0640 so it's now not readable for 'others'. But the .desktop file is readable
by 'others', where the 'link' to the icon is; so it makes no sence to be able to
use .desktop file but not see the icon defined inside.

This is low prio but obviously a regression on which someone may, in weird case,
insist of. 

Version-Release number of selected component (if applicable):
system-config-lvm-1.1.4-1.2.el4

How reproducible: always

Actual results: permissions == 0640

Expected results: permissions == 0644

Comment 1 Marek Grac 2009-08-09 10:45:13 UTC
Created attachment 356801 [details]
Proposed patch

Comment 8 Florian Nadge 2011-01-03 14:53:03 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, pv_icon.png changed permissions so that the icon was not available for users. With this update, the icon is readable. (BZ#451010)

Comment 9 Florian Nadge 2011-01-03 14:53:21 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, pv_icon.png changed permissions so that the icon was not available for users. With this update, the icon is readable. (BZ#451010)+Previously, pv_icon.png changed permissions so that the icon was not available for users. With this update, the icon is readable.

Comment 13 Brian Brock 2011-01-24 15:49:06 UTC
thanks, marking as verified.

Comment 14 errata-xmlrpc 2011-02-16 14:27:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0246.html


Note You need to log in before you can comment on or make changes to this bug.